
Foreman - Bug #21566

top level vertical navigation menu is slow to respond

11/02/2017 06:33 PM - Andrew Kofink

Status: Closed   

Priority: Normal   

Assignee: Amir Fefer   

Category: Web Interface   

Target version: 1.20.0   

Difficulty:  Fixed in Releases: 1.20.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5898

  

Description

The old horizontal nav used to open the top level menus (i.e. Monitor, Content, Containers) immediately. The new vertical nav has a

delay (maybe half a second?) before the menu opens. It should open immediately.

Associated revisions

Revision a88bc000 - 10/07/2018 02:28 PM - Gilad Lekner 

Fixes #23445, #21566, #23448 - Refactor Layout to PF

History

#1 - 11/02/2017 08:36 PM - Walden Raines

- Project changed from Katello to Foreman

- Category changed from Web UI to Web Interface

- Assignee set to Amir Fefer

- Target version set to 228

#2 - 11/02/2017 08:56 PM - Roxanne Hoover

The delay is intentionally. If memory serves me correctly this was so that users who "wander" with their mouse weren't getting inundated with fly-outs.

The small delay offers that relief.

#3 - 11/03/2017 01:17 PM - Andrew Kofink

The delay is either too long, or the menu should respond immediately to clicks. As a user, it feels like I'm wasting time waiting on the menu to open.

Also, the horizontal navigation has always opened immediately, so I would think that users are accustomed to that behavior. Is this delay a result of

feedback from UX trials? I would be curious how many users out of the group commented on this aspect of the menu.

#4 - 11/03/2017 08:12 PM - Marek Hulán

+1 to comment 3, if menu opens immediately after click, it would be a win :-)

#5 - 11/21/2017 01:14 AM - Walden Raines

- Target version changed from 228 to 234

#6 - 12/12/2017 01:34 PM - Walden Raines

- Target version changed from 234 to 237

#7 - 12/12/2017 01:42 PM - Walden Raines

- Target version changed from 237 to 239

#8 - 01/23/2018 02:41 PM - Walden Raines

- Target version changed from 239 to 243
#9 - 02/13/2018 02:05 PM - Walden Raines

- Target version changed from 243 to 248

#10 - 03/06/2018 01:48 PM - Walden Raines

- Target version changed from 248 to 250

#11 - 03/27/2018 03:23 PM - Walden Raines

- Target version changed from 250 to 253

#12 - 06/11/2018 02:49 PM - Andrew Kofink

So, I did some research, and patternfly doesn't allow overriding this delay, though there's an issue/feature request to add it [1]. I went ahead and

submitted a PR to patternfly [2] to implement the feature, since the conversation on the feature request seemed stale.

[1] https://github.com/patternfly/patternfly/issues/744

[2] https://github.com/patternfly/patternfly/pull/1073

#13 - 06/18/2018 08:56 PM - Walden Raines

- Target version deleted (253)

#14 - 08/13/2018 02:42 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/5898 added

#15 - 08/13/2018 02:42 PM - The Foreman Bot

- Status changed from New to Ready For Testing

#16 - 10/07/2018 02:29 PM - Ohad Levy

- Target version set to 1.20.0

- Fixed in Releases 1.20.0 added

#17 - 10/07/2018 03:01 PM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset a88bc000064e68502ed81ef08d5663d2037ec3c7.

Powered by TCPDF (www.tcpdf.org)

05/08/2024 2/2

https://github.com/patternfly/patternfly/issues/744
https://github.com/patternfly/patternfly/pull/1073
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/a88bc000064e68502ed81ef08d5663d2037ec3c7
http://www.tcpdf.org

